"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const core_1 = require("@oclif/core");
const download_1 = require("../../lib/download");
const repo_1 = require("../../lib/repo");
class Download extends command_1.Command {
    static args = {
        filename: core_1.Args.string({ description: 'a filename for the tarball' }),
    };
    static description = 'download the application repo as a tarball';
    static flags = {
        app: command_1.flags.app({ required: true }),
        remote: command_1.flags.string({ char: 'r', description: 'the git remote to use' }),
    };
    async run() {
        const { args, flags } = await this.parse(Download);
        const { app } = flags;
        const url = await (0, repo_1.getURL)(app, this.heroku);
        const filename = args.filename || `${app}.tar.gz`;
        core_1.ux.log(`Downloading repository to ${filename}`);
        await (0, download_1.download)(url, filename, { progress: true });
    }
}
exports.default = Download;
