"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const color_1 = tslib_1.__importDefault(require("@heroku-cli/color"));
const command_1 = require("@heroku-cli/command");
const core_1 = require("@oclif/core");
class Reset extends command_1.Command {
    static description = 'reset the repo';
    static flags = {
        app: command_1.flags.app({ required: true }),
        remote: command_1.flags.string({ char: 'r', description: 'the git remote to use' }),
    };
    async run() {
        const { flags } = await this.parse(Reset);
        const { app } = flags;
        core_1.ux.action.start(`Resetting Git repository for  ${color_1.default.app(app)}`);
        await this.heroku.delete(`/${app}.git`, {
            hostname: command_1.vars.httpGitHost,
            headers: {
                Authorization: `Basic ${Buffer.from(`:${this.heroku.auth}`).toString('base64')}`,
            },
        });
        core_1.ux.action.stop();
    }
}
exports.default = Reset;
