"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.download = void 0;
const tslib_1 = require("tslib");
const https_1 = tslib_1.__importDefault(require("https"));
const promises_1 = require("node:stream/promises");
const file_helper_1 = require("./file-helper");
const bytes = require('bytes');
const progress = require('smooth-progress');
function showProgress(rsp) {
    const bar = progress({
        tmpl: 'Downloading... :bar :percent :eta :data',
        total: Number.parseInt(rsp.headers['content-length'], 10),
        width: 25,
    });
    let total = 0;
    rsp.on('data', (chunk) => {
        total += chunk.length;
        bar.tick(chunk.length, { data: bytes(total) });
    });
}
function download(url, path, opts) {
    const file = (0, file_helper_1.createWriteStream)(path);
    https_1.default.get(url, async (rsp) => {
        if (opts.progress)
            showProgress(rsp);
        await (0, promises_1.pipeline)(rsp, file);
    });
}
exports.download = download;
