"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.putCacheURL = exports.getCacheURL = exports.putURL = exports.getURL = void 0;
async function getRelease(appName, herokuAPI) {
    const { body: release } = await herokuAPI.get(`/apps/${appName}/build-metadata`, {
        headers: {
            Accept: 'application/vnd.heroku+json; version=3.sdk',
        },
    });
    return release;
}
async function getURL(appName, herokuAPI) {
    const release = await getRelease(appName, herokuAPI);
    return release.repo_get_url;
}
exports.getURL = getURL;
async function putURL(appName, herokuAPI) {
    const release = await getRelease(appName, herokuAPI);
    return release.repo_put_url;
}
exports.putURL = putURL;
async function getCacheURL(appName, herokuAPI) {
    const release = await getRelease(appName, herokuAPI);
    return release.cache_get_url;
}
exports.getCacheURL = getCacheURL;
async function putCacheURL(appName, herokuAPI) {
    const release = await getRelease(appName, herokuAPI);
    return release.cache_put_url;
}
exports.putCacheURL = putCacheURL;
